Name:          libslirp
Version:       4.9.0
Release:       1mamba
Summary:       A general purpose TCP-IP emulator used by virtual machine hypervisors to provide virtual networking services
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.freedesktop.org/slirp/libslirp
Source:        https://gitlab.freedesktop.org/slirp/libslirp.git/v%{version}/libslirp-%{version}.tar.bz2
License:       MIT, BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
## AUTOBUILDREQ-END
BuildRequires: meson

%description
A general purpose TCP-IP emulator used by virtual machine hypervisors to provide virtual networking services.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libslirp.so.*
%doc COPYRIGHT

%files devel
%defattr(-,root,root)
%dir %{_includedir}/slirp
%{_includedir}/slirp/libslirp*.h
%{_libdir}/libslirp.so
%{_libdir}/pkgconfig/slirp.pc
%doc README.md

%changelog
* Fri Jan 31 2025 Automatic Build System <autodist@openmamba.org> 4.9.0-1mamba
- automatic version update by autodist

* Thu Dec 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.0-1mamba
- package created using the webbuild interface
